Lịch sử giá khớp
curl --request GET \
--url https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/his/paging \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/his/paging"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/his/paging', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 0,
"size": 20,
"headIndex": 3974,
"numberOfItems": 10,
"total": 3975,
"ticker": "TCB",
"data": [
{
"p": 33850,
"v": 100,
"cp": -650,
"a": "",
"ba": 6034800,
"sa": 10320100,
"hl": false,
"t": "14:45:00"
}
]
}Dữ liệu thị trường
Lịch sử giá khớp
Lấy lịch sử giá khớp trong phiên của mã cổ phiếu.
GET
/
nyx
/
v1
/
intraday
/
{ticker}
/
his
/
paging
Lịch sử giá khớp
Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số đường dẫn
Mã cổ phiếu, ví dụ TCB.
Tham số truy vấn
Số trang (bắt đầu từ 0).
Kích thước trang (max 100).
Chỉ số đầu cho phân trang ngược (mặc định -1).